Package tigase.conf

## Class OldConfigHolder

- java.lang.Object
- - tigase.conf.OldConfigHolder

-     public class OldConfigHolder
      extends java.lang.Object

  Created by andrzej on 10.07.2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OldConfigHolder.Format` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OldConfigHolder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `convert​(java.lang.String[] args, java.nio.file.Path tdslPath)` |
    `protected void` | `convertFromOldFormat()` |
    `protected OldConfigHolder.Format` | `detectPathAndFormat()` |
    `java.util.Optional<java.lang.String[]>` | `getOutput()` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `getProperties()` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `loadFromPropertyStrings​(java.util.List<java.lang.String> settings)` |
    `static void` | `saveOldExternalComponentConfigItems​(java.lang.String[] components)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldConfigHolder

          public OldConfigHolder()

  - ### Method Detail

    - #### getOutput

          public java.util.Optional<java.lang.String[]> getOutput()

    - #### convert

          public void convert​(java.lang.String[] args,
                              java.nio.file.Path tdslPath)
                       throws java.io.IOException,
                              ConfigReader.ConfigException

      Throws:
        `java.io.IOException`
        `ConfigReader.ConfigException`

    - #### getProperties

          protected java.util.Map<java.lang.String,​java.lang.Object> getProperties()

    - #### detectPathAndFormat

          protected OldConfigHolder.Format detectPathAndFormat()

    - #### loadFromPropertyStrings

          protected java.util.Map<java.lang.String,​java.lang.Object> loadFromPropertyStrings​(java.util.List<java.lang.String> settings)

    - #### convertFromOldFormat

          protected void convertFromOldFormat()
                                       throws ConfigReader.ConfigException

      Throws:
        `ConfigReader.ConfigException`

    - #### saveOldExternalComponentConfigItems

          public static void saveOldExternalComponentConfigItems​(java.lang.String[] components)